SystemOrganization addCategory: #TpTraitsAlphaTest!

TestCase subclass: #ATestAlumno
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:52'!
setUp
alu1 := AAlumno new.
tadp := ACurso new.

tadp1 := alu1 AnotarseEn: tadp .
tadp1 nota: 6.

tadp2:= alu1 AnotarseEn: tadp.
tadp2 nota: 2.
tadp2 setAbandonada .

"
alu1 aniadirCursada: tadp1.
alu1 aniadirCursada: tadp2."
"
alu1 notas.

alu1 cantidadDeAbandonadas . 1
alu1 cantidadDeAprobadas ."

! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:57'!
testCantidadDeCursadasAbandonadas
	self assert: alu1 cantidadDeAbandonadas   equals: 1! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:56'!
testCantidadDeCursadasAprobadas 
	self assert: alu1 cantidadDeAprobadas  equals: 1! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:29'!
testCorteDeTiempo
"self assert: (alumnoPepe corteDeAo: 2012 promedioSinAplazos) equals: 6"! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:19'!
testNotaMasAltaALaQueLlegoNVeces! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:37'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: alu1 porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:23'!
testPromedioConAplazos
	self assert: alu1 promedioConAplazos  equals: 6! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/22/2013 14:50'!
testPromedioSinAplazos
	self assert: alu1 promedioSinAplazos  equals: 6! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:15'!
testTablaDeNotas 
	self assert: alu1 tablaDeNotas  equals:  #(0 0 0 0 0 1 0 0 0 0)
! !

TestCase subclass: #ATestCurso
	instanceVariableNames: 'alu1 tadp tadp1 tadp2 alu2 alu3 tadp3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:56'!
setUp
alu1 := AAlumno new.
alu2 := AAlumno new.
alu3 := AAlumno new.
tadp := ACurso new.

tadp1 := alu1 AnotarseEn: tadp .
tadp1 nota: 6.

tadp2:= alu1 AnotarseEn: tadp.
tadp2 nota: 2.

tadp3 := alu2 AnotarseEn: tadp .
tadp3 nota: 8.

tadp3:= alu3 AnotarseEn: tadp.
tadp3 nota: 2.
tadp3 setAbandonada .

"
alu1 aniadirCursada: tadp1.
alu1 aniadirCursada: tadp2."
"
alu1 notas.

alu1 cantidadDeAbandonadas . 1
alu1 cantidadDeAprobadas ."

! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:27'!
testCantidadDeCursadasAbandonadas
	self assert: tadp cantidadDeAbandonadas   equals: 1! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:28'!
testCantidadDeCursadasAprobadas 
	self assert: tadp cantidadDeAprobadas  equals: 2! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:58'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: tadp porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:58'!
testPromedioConAplazos
	self assert: tadp promedioConAplazos  equals: 5.33! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:01'!
testPromedioSinAplazos
	self assert: tadp promedioSinAplazos   equals: 7! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:02'!
testTablaDeNotas 
	self assert: tadp tablaDeNotas  equals:  #(0 1 0 0 0 1 0 1 0 0)
! !
